### Enumeration

# GtkDialogError

since: 4.10

#### Declaration

    error-domain Gtk.DialogError

#### Description [src]

Error codes in the `GTK_DIALOG_ERROR` domain that can be returned by async dialog functions.

Available since: 4.10

#### Members

`GTK_DIALOG_ERROR_FAILED`

  Generic error condition for when an operation fails and no more specific code is applicable.

  - Value: `0`
  - Nickname: `failed`
  - Available since: 4.10
`GTK_DIALOG_ERROR_CANCELLED`

  The async function call was cancelled via its `GCancellable`

  - Value: `1`
  - Nickname: `cancelled`
  - Available since: 4.10
`GTK_DIALOG_ERROR_DISMISSED`

  The operation was cancelled by the user (via a Cancel or Close button)

  - Value: `2`
  - Nickname: `dismissed`
  - Available since: 4.10

#### Type functions

###### gtk_dialog_error_quark

No description available.